# SPDX-FileCopyrightText: StorPool <support@storpool.com>
# SPDX-License-Identifier: BSD-2-Clause

{ pkgs ? import <nixpkgs> {}, py-ver ? 311 }:
let
  python-name = "python${toString py-ver}";
  python = builtins.getAttr python-name pkgs;
  python-pkgs = python.withPackages (p: with p; [ tox ]);
in pkgs.mkShell {
  buildInputs = [
    pkgs.createrepo_c
    pkgs.git
    python-pkgs
  ];
  shellHook = ''
    set -e
    TOX_SKIP_ENV=unit-tests-3 tox -p all
    env SP_HELLO= tox -e unit-tests-3
    exit
  '';
}
