# SPDX-FileCopyrightText: StorPool <support@storpool.com>
# SPDX-License-Identifier: BSD-2-Clause

from typing import Any, Dict, IO, List, Optional

from . import debian_support


class ChangeBlock:
    """A single block in the changelog."""

    author: str
    bugs_closed: List[int]
    date: str
    distributions: str
    package: str
    other_pairs: Dict[str, str]
    urgency: str
    urgency_comment: str
    version: str

    def changes(self) -> List[str]: ...


class Changelog(debian_support.Version):
    """Parse a debian/changelog file."""

    def __init__(self, stream: IO[Any]) -> None: ...
    def __getitem__(self, idx: int) -> ChangeBlock: ...

    def get_versions(self) -> List[debian_support.Version]: ...
    def new_block(self, package: Optional[str] = None, version: Optional[str] = None, distributions: Optional[str] = None, urgency: Optional[str] = None, urgency_comment: Optional[str] = None, changes: Optional[List[str]] = None, author: Optional[str] = None, date: Optional[str] = None, other_pairs: Optional[Dict[str, str]] = None, encoding: Optional[str] = None) -> ChangeBlock: ...
