# SPDX-FileCopyrightText: StorPool <support@storpool.com>
# SPDX-License-Identifier: BSD-2-Clause

from typing import List, Pattern


class BaseVersion:
    """A base class for Debian package version strings."""

    full_version: str
    epoch: str
    upstream_version: str
    debian_revision: str
    debian_version: str

    re_valid_version: Pattern[str]

    magic_attrs: List[str]

    def __init__(self, version: str) -> None: ...


class NativeVersion(BaseVersion):
    """The version string of a native Debian package."""


class Version(NativeVersion):
    """A Debian package version string."""
